//
//  MVHomeViewModel.swift
//  MusicVideoPlus
//
//  Created by ak on 2021/6/4.
//

import Foundation
import ObjectMapper
import RealmSwift
import BFFramework

class PQVideoEditViewModel: NSObject {
  
    /// 获取首界面
    /// - Parameters:
    ///   - type: 1-最新列表 2-最热列表
    ///   - targetUid: 目标用户
    ///   - pageSize: 页面大小
    ///   - pageNo: 当前页
    ///   - currentVideoId: 当前视频ID
    ///   - sortField: 排序方式 1：时间，2：热度
    ///   - layoutType: 页面排版方式 1：单列，2：双列
    ///   - lastTimestamp: 最后一条记录的时间戳
    /// - Returns: <#description#>
    class func  getHomeHotVideos(type: Int = 1, targetUid: Int, pageSize: Int = 10, pageNo: Int, currentVideoId _: Int = 0, sortField _: Int = 1, layoutType _: Int = 2, lastTimestamp: Int, completeHander: @escaping (_ listData: [PQVideoListModel]?, _ videoList: [[PQVideoListModel]]?, _ msg: String?) -> Void) {
        var url: String = PQENVUtil.shared.longvideoapi
        if type == 1 {
            url = url + latelyByCollectionIdUrl
        } else {
            url = url + hotByCollectionIdUrl
        }
        var params: [String: Any] = ["targetUid": targetUid, "pageSize": pageSize, "sortField": type]
        if type == 1 {
            params["lastTimestamp"] = lastTimestamp
        } else {
            params["pageNo"] = pageNo
        }
//        SWNetRequest.postRequestData(url: url, parames: params) { response, _, error, _ in
//
//            DispatchQueue.global().async {
//
//                var listData = Array<PQVideoListModel>.init()
//                var videoList = Array<[PQVideoListModel]>.init()
//
//                if !(response is NSNull), response != nil {
//                    let tempArr = response as! [[String: Any]]
//                    for item in tempArr {
//                        let tempModel = PQVideoListModel(jsonDict: item)
//                        listData.append(tempModel)
//                        if tempModel.auditStatus == 5, tempModel.transcodeStatus == 3 {
//                            videoList.append([tempModel])
//                        }
//                    }
//                    DispatchQueue.main.async {
//
//                        completeHander(listData, videoList, nil)
//                    }
//                } else {
//                    DispatchQueue.main.async {
//
//                        completeHander(listData, videoList, error?.msg)
//                    }
//                }
//            }
//        }
    }
}
